
QGIS Application - Bug report #20495

 crash when insert or eject usb storage

2018-11-15 02:28 AM - Sahit Tuntas Sadono

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.4.1 Regression?: Yes

Operating System: Windows 10 64bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 28315

Description

User Feedback

crash when insert or eject usb storage

Report Details

Crash ID: 46bdfc53c9e65ba01bf6e65f60a8fdcad5a2dd77

Stack Trace

QgsWinNative::initializeMainWindow :

QAbstractEventDispatcher::filterNativeEvent :

CallWindowProcW :

CallWindowProcW :

GetMenuState :

KiUserCallbackDispatcher :

NtUserPeekMessage :

PeekMessageW :

PeekMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.1-Madeira

QGIS code revision: commit:383851c597

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Related to QGIS Application - Bug report # 20386: Program crashes in idle phase Closed 2018-11-06

History

#1 - 2018-11-15 03:11 AM - Nyall Dawson
- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in 3.4.2

#2 - 2018-11-15 05:26 PM - Jürgen Fischer

- Related to Bug report #20386: Program crashes in idle phase added
